<template>
  <div class="logo-container">
    <LumiLogo
      v-if="showLogo === undefined ? true : showLogo"
      viewBox="0 0 1000 1000"
    />
    <LumiLogoText v-if="showText" />
  </div>
</template>

<script>
import LumiLogo from '@/assets/lumi_logo.svg?inline'
import LumiLogoText from '@/assets/lumi_txt.svg?inline'

export default {
  name: 'Logo',
  props: ['showText', 'showLogo'],
  components: { LumiLogo, LumiLogoText },
}
</script>

<style lang="sass" scoped>
.logo-container
  width: 100%
  display: flex
  flex-direction: column
</style>
